USE [COWS]
GO
_CreateObject 'SP','dbo','getFSAOrderDetails'
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Ramesh Ragi>
-- Create date: <08/16/2011>
-- Description:	<Description,,>
-- =============================================
-- Updated By:	<Sarah Sandoval>
-- Update date:	<12/08/2017>
-- Description:	Added 2 columns for Install Information
--				(CPEP.TPORT_ETH_ACCS_TYPE_CD,'') AS TPORT_ETH_ACCS_TYPE_CD,
--				(CPEP.TPORT_VNDR_QUOTE_ID,'') AS TPORT_VNDR_QUOTE_ID,
-- kh946640 03/22/18 COWS DB Restructuring as columns have been moved from fsa_ordr->fsa_ordr_cpe_line_item table for DualPort project(PJ020783 - CR93)
-- kh946640 04/27/18 Changes related to PJ020783 - CR 93 (WC#8) - Dual ports
-- =============================================
--Exec dbo.getFSAOrderDetails 390833
ALTER PROCEDURE [dbo].[getFSAOrderDetails] 
@OrderID Int	
AS
BEGIN
	BEGIN TRY
		OPEN SYMMETRIC KEY FS@K3y 
			DECRYPTION BY CERTIFICATE S3cFS@CustInf0;
			
			
		--Order Information Info
		SELECT	
			a.ORDR_ACTN_DES AS ORDR_ACTN_DES,
			f.FTN AS FTN,
			ot.FSA_ORDR_TYPE_DES AS FSA_ORDR_TYPE_DES,
            ISNULL(f.ORDR_SUB_TYPE_CD,'') AS ORDR_SUB_TYPE_CD,
             --p.FSA_PROD_TYPE_DES AS FSA_PROD_TYPE_DES,
			 CASE WHEN (od.PROD_ID='CETH') THEN 'Carrier Ethernet'
							  WHEN (od.PROD_ID='CEPL') THEN 'Carrier Ethernet Private Line'
							  WHEN (od.PROD_ID='CEVPL') THEN 'Carrier Ethernet Virtual Private Line'
							  WHEN (od.PROD_ID='CENNI') THEN 'Carrier Ethernet Network to Network Interface'
							  ELSE p.FSA_PROD_TYPE_DES END AS FSA_PROD_TYPE_DES,
             f.PRNT_FTN				AS PRNT_FTN,
             f.RELTD_FTN			AS RELTD_FTN,
             ISNULL(f.SCA_NBR,'')	AS SCA_NBR,
             ISNULL(f.TSP_CD,'')	AS TSP_CD,
             ISNULL(f.CPW_TYPE,'')	AS CPW_TYPE,
             Case	
				When	f.CUST_CMMT_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, f.CUST_CMMT_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CUST_CMMT_DT,
             Case	
				When	f.CUST_WANT_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, f.CUST_WANT_DT, 7), ' ', '/'), ',/', '/')
			 End				AS CUST_WANT_DT,
             Case	
				When	f.CUST_ORDR_SBMT_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, f.CUST_ORDR_SBMT_DT, 7), ' ', '/'), ',/', '/')
			 End				AS CUST_ORDR_SBMT_DT,
             Case	
				When	f.CUST_SIGNED_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, f.CUST_SIGNED_DT, 7), ' ', '/'), ',/', '/')
			 End				AS CUST_SIGNED_DT,
             Case	
				When	f.ORDR_SBMT_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, f.ORDR_SBMT_DT, 7), ' ', '/'), ',/', '/')
			 End				AS ORDR_SBMT_DT,
             ISNULL(f.CUST_PRMS_OCPY_CD,'') AS CUST_PRMS_OCPY_CD,
             ISNULL(f.CUST_ACPT_ERLY_SRVC_CD,'') AS CUST_ACPT_ERLY_SRVC_CD,
             ISNULL(f.MULT_CUST_ORDR_CD,'') AS MULT_CUST_ORDR_CD,
			 ISNULL(f.GVRMNT_TYPE_ID,'') AS GVRMNT_TYPE_ID,
			 ISNULL(f.INSTL_ESCL_CD,'')  AS INSTL_ESCL_CD,
             --ISNULL(CPEP.INSTL_DSGN_DOC_NBR,'') AS INSTL_DSGN_DOC_NBR,
             ISNULL(f.INSTL_VNDR_CD,'') AS INSTL_VNDR_CD,
             ISNULL(f.INSTL_SOLU_SRVC_DES,'') AS INSTL_SOLU_SRVC_DES,
             ISNULL(f.INSTL_NW_TYPE_CD,'') AS INSTL_NW_TYPE_CD,
		     ISNULL(f.INSTL_TRNSPRT_TYPE_CD,'') AS INSTL_TRNSPRT_TYPE_CD,
             ISNULL(svc.MDS_SRVC_TIER_DES,'') AS MDS_SRVC_TIER_DES,  
			 ISNULL(f.CPE_CPE_ORDR_TYPE_CD,'') AS CPE_CPE_ORDR_TYPE_CD,
			 ISNULL(f.CPE_EQPT_ONLY_CD,'') AS CPE_EQPT_ONLY_CD,
             ISNULL(f.CPE_ACCS_PRVDR_CD,'') AS CPE_ACCS_PRVDR_CD,
             ISNULL(f.CPE_ECCKT_ID,'') AS CPE_ECCKT_ID,
             ISNULL(f.CPE_MSCP_CD,'') AS CPE_MSCP_CD,
             ISNULL(f.CPE_DLVRY_DUTY_ID,'') AS CPE_DLVRY_DUTY_ID,
             ISNULL(f.CPE_DLVRY_DUTY_AMT,'') AS CPE_DLVRY_DUTY_AMT,
             ISNULL(f.CPE_SHIP_CHG_AMT,'') AS CPE_SHIP_CHG_AMT,
			 ISNULL(f.CPE_REC_ONLY_CD,'') AS CPE_REC_ONLY_CD,
			 --ISNULL(f.SITE_ID,'') AS CPE_SITE_ID,
             --ISNULL(f.TSUP_SAC_AVLBLTY_HR_TXT,'') AS TSUP_SAC_AVLBLTY_HR_TXT,
             --ISNULL(f.TSUP_SAC_TME_ZONE_CD,'') AS TSUP_SAC_TME_ZONE_CD,
             --ISNULL(f.TSUP_SAC_INTPRTR_REQ_CD,'') AS TSUP_SAC_INTPRTR_REQ_CD,
             --ISNULL(f.TSUP_SAC_LANG_SUPPD_CD,'') AS TSUP_SAC_LANG_SUPPD_CD,
             ISNULL(f.TSUP_TELCO_DEMARC_BLDG_NME,'') AS TSUP_TELCO_DEMARC_BLDG_NME,
             ISNULL(f.TSUP_TELCO_DEMARC_FLR_ID,'') AS TSUP_TELCO_DEMARC_FLR_ID,
             ISNULL(f.TSUP_TELCO_DEMARC_RM_NBR,'') AS TSUP_TELCO_DEMARC_RM_NBR,
             ISNULL(f.TSUP_NEAREST_CROSS_STREET_NME,'') AS TSUP_NEAREST_CROSS_STREET_NME,
             ISNULL(f.TSUP_PRS_QOT_NBR,'') AS TSUP_PRS_QOT_NBR,
             ISNULL(f.TSUP_GCS_NBR,'') AS TSUP_GCS_NBR,
             ISNULL(f.TSUP_RFQ_NBR,'') AS TSUP_RFQ_NBR,
             --ISNULL(CPEA.TTRPT_ACCS_TYPE_CD,'') AS TTRPT_ACCS_TYPE_CD,
             ISNULL(f.TTRPT_ACCS_TYPE_DES,'') AS TTRPT_ACCS_TYPE_DES,
             ISNULL(f.TTRPT_ACCS_PRVDR_CD,'') AS TTRPT_ACCS_PRVDR_CD,
             --ISNULL(CPEA.TTRPT_ACCS_ARNGT_CD,'') AS TTRPT_ACCS_ARNGT_CD,
             --ISNULL(CPEA.TTRPT_ACCS_BDWD_TYPE,'') AS TTRPT_ACCS_BDWD_TYPE,
             ISNULL(f.TTRPT_ACCS_CNTRC_TERM_CD,'') AS TTRPT_ACCS_CNTRC_TERM_CD,
             --ISNULL(CPEP.TTRPT_SPD_OF_SRVC_BDWD_DES,'') AS TTRPT_SPD_OF_SRVC_BDWD_DES,
             ISNULL(f.TTRPT_LINK_PRCOL_CD,'') AS TTRPT_LINK_PRCOL_CD,
             --ISNULL(CPEA.TTRPT_ENCAP_CD,'') AS TTRPT_ENCAP_CD,
             ISNULL(f.TTRPT_ROUTG_TYPE_CD,'') AS TTRPT_ROUTG_TYPE_CD,
             ISNULL(f.TTRPT_MPLS_VPN_OVR_SPLK_CD,'') AS TTRPT_MPLS_VPN_OVR_SPLK_CD,
             ISNULL(f.TTRPT_SRVC_TYPE_ID,'') AS  TTRPT_SRVC_TYPE_ID,
             ISNULL(tt.MDS_TRNSPRT_TYPE_DES,'') AS MDS_TRNSPRT_TYPE_DES,
             ISNULL(f.TTRPT_FRMNG_DES,'') AS TTRPT_FRMNG_DES,
             ISNULL(f.TTRPT_NCDE_DES,'') AS TTRPT_NCDE_DES,
             ISNULL(f.TTRPT_CSU_DSU_PRVDD_BY_VNDR_CD,'') AS TTRPT_CSU_DSU_PRVDD_BY_VNDR_CD,
             ISNULL(f.TTRPT_JACK_NRFC_TYPE_CD,'') AS TTRPT_JACK_NRFC_TYPE_CD,
             ISNULL(f.TTRPT_STRATUM_LVL_CD,'') AS TTRPT_STRATUM_LVL_CD,
             ISNULL(f.TTRPT_CLOCK_SRC_CD,'') AS TTRPT_CLOCK_SRC_CD,
             ISNULL(f.TTRPT_IS_OCHRONOUS_CD,'') AS TTRPT_IS_OCHRONOUS_CD,
             ISNULL(f.TTRPT_PRLEL_PRCS_TYPE_CD,'') AS TTRPT_PRLEL_PRCS_TYPE_CD,
             ISNULL(f.TTRPT_PRLEL_PRCS_CKT_ID,'') AS TTRPT_PRLEL_PRCS_CKT_ID,
             ISNULL(f.TTRPT_RELTD_FCTY_REUSE_CD,'') AS TTRPT_RELTD_FCTY_REUSE_CD,
             ISNULL(f.TTRPT_RELTD_FCTY_CKT_ID,'') AS TTRPT_RELTD_FCTY_CKT_ID,
             f.TTRPT_TME_SOLT_CNT		AS TTRPT_TME_SOLT_CNT,
             f.TTRPT_STRT_TME_SLOT_NBR	AS TTRPT_STRT_TME_SLOT_NBR,
             ISNULL(f.TTRPT_NW_ADR,'') AS TTRPT_NW_ADR,
             ISNULL(f.TTRPT_SHRD_TNANT_CD,'')  AS TTRPT_SHRD_TNANT_CD,
             ISNULL(f.TTRPT_ALT_ACCS_CD,'')  AS TTRPT_ALT_ACCS_CD,
             ISNULL(f.TTRPT_ALT_ACCS_PRVDR_CD,'') AS TTRPT_ALT_ACCS_PRVDR_CD,
             --ISNULL(CPEA.TTRPT_FBR_HAND_OFF_CD,'') AS TTRPT_FBR_HAND_OFF_CD,
             ISNULL(f.TTRPT_MNGD_DATA_SRVC_CD,'') AS TTRPT_MNGD_DATA_SRVC_CD,
             ISNULL(f.TTRPT_OSS_CD,'')  AS TTRPT_OSS_CD,
             ISNULL(f.TTRPT_MPLS_BACKHAUL_CD,'') AS TTRPT_MPLS_BACKHAUL_CD,
             
			--ISNULL(CPEA.TTRPT_ACCS_TERM_DES,'') AS TTRPT_ACCS_TERM_DES, 
			--CASE
				--When	CPEA.TTRPT_QOT_XPIRN_DT IS NULL Then NULL
				--	Else	REPLACE(REPLACE(Convert(Varchar, CPEA.TTRPT_QOT_XPIRN_DT, 7), ' ', '/'), ',/', '/')
				--End		AS TTRPT_QOT_XPIRN_DT,
			 --ISNULL(CPEA.CXR_ACCS_CD, '')				AS	CXR_ACCS_CD,
             CASE WHEN (f.ORDR_SUB_TYPE_CD IN ('AR','RO')) THEN NULL ELSE ISNULL(f.CKT_ID, '') END	AS	TTRPT_CKT_ID,
             ISNULL(f.VNDO_CNTRC_TERM_ID, '')		AS	TTRPT_VNDO_CNTRC_TERM_ID,
             --ISNULL(CPEP.TPORT_IP_VER_TYPE_CD,'') AS TPORT_IP_VER_TYPE_CD,
             --ISNULL(CPEP.TPORT_IPV4_ADR_PRVDR_CD,'') AS TPORT_IPV4_ADR_PRVDR_CD,
             --ISNULL(CPEP.TPORT_IPV4_ADR_QTY,'') AS TPORT_IPV4_ADR_QTY,
             --ISNULL(CPEP.TPORT_IPV6_ADR_PRVDR_CD,'') AS TPORT_IPV6_ADR_PRVDR_CD,
             --ISNULL(CPEP.TPORT_IPV6_ADR_QTY,'') AS TPORT_IPV6_ADR_QTY,
             ISNULL(f.TPORT_USER_TYPE_ID,'') AS TPORT_USER_TYPE_ID,
             ISNULL(f.TPORT_MULTI_MEG_CD,'') AS TPORT_MULTI_MEG_CD,
             --CPEP.TPORT_VLAN_QTY			AS TPORT_VLAN_QTY,
             --ISNULL(CPEP.TPORT_ETHRNT_NRFC_INDCR,'') AS TPORT_ETHRNT_NRFC_INDCR,
             ISNULL(f.TPORT_SCRMB_TXT,'') AS TPORT_SCRMB_TXT,
             ISNULL(f.TPORT_PORT_TYPE_ID,'') AS TPORT_PORT_TYPE_ID,
             --ISNULL(CPEP.TPORT_CNCTR_TYPE_ID,'') AS TPORT_CNCTR_TYPE_ID,
             --ISNULL(CPEP.TPORT_CUST_ROUTR_TAG_TXT,'') AS TPORT_CUST_ROUTR_TAG_TXT,
             --ISNULL(CPEP.TPORT_CUST_ROUTR_AUTO_NEGOT_CD,'') AS TPORT_CUST_ROUTR_AUTO_NEGOT_CD,
             ISNULL(f.TPORT_CUST_PRVDD_IP_ADR_INDCR,'') AS TPORT_CUST_PRVDD_IP_ADR_INDCR,
             ISNULL(f.TPORT_CUST_IP_ADR,'') AS TPORT_CUST_IP_ADR,
             ISNULL(f.TPORT_XST_IP_CNCTN_CD,'') AS TPORT_XST_IP_CNCTN_CD,
             ISNULL(f.TPORT_CURR_INET_PRVDR_CD,'') AS TPORT_CURR_INET_PRVDR_CD,
             ISNULL(f.TPORT_BRSTBL_PRICE_DISC_CD,'') AS TPORT_BRSTBL_PRICE_DISC_CD,
             ISNULL(f.TPORT_BRSTBL_USAGE_TYPE_CD,'') AS TPORT_BRSTBL_USAGE_TYPE_CD,
			 ISNULL(f.TPORT_PPLVLS_CD,'') AS TPORT_PPLVLS,
             --ISNULL(CPEP.SPA_ACCS_INDCR_DES, '')		 AS TPORT_SPAE_ACCS_INDCTR,
             ISNULL(f.NRFC_PRCOL_CD, '')			AS	TPORT_NRFC_PRCOL_CD,
             ISNULL(f.ADDL_IP_ADR_CD, '')			AS	TPORT_ADDL_IP_ADR_CD,
             ISNULL(f.DOMN_NME, '')					AS	TPORT_DOMN_NME,
             ISNULL(f.IPV4_SUBNET_MASK_ADR, '')		AS	TPORT_IPV4_SUBNET_MASK_ADR,
             
             /* Begin Mach5 Fields */
             ISNULL(f.TPORT_SPCL_INSTRTN_TXT,'') AS TPORT_SPCL_INSTRTN_TXT,
			 ISNULL(f.TPORT_DIA_CLASS_OF_SRVC_TXT,'') AS TPORT_DIA_CLASS_OF_SRVC_TXT,
			 --ISNULL(CPEP.TPORT_DIA_NOC_TO_NOC_TXT,'') AS TPORT_DIA_NOC_TO_NOC_TXT,
			 ISNULL(f.TPORT_DUAL_STK_ADR_PRVDR_TXT,'') AS TPORT_DUAL_STK_ADR_PRVDR_TXT,
			 ISNULL(f.TPORT_LINK_MGT_PRCOL_TXT,'') AS TPORT_LINK_MGT_PRCOL_TXT,
			 --ISNULL(CPEP.TPORT_PROJ_DES,'') AS TPORT_PROJ_DES,
			 ISNULL(f.TPORT_DVSTY_TYPE_NME,'')				AS TPORT_DVSTY_TYPE_NME,
			 --ISNULL(CPEP.TPORT_ETH_ACCS_TYPE_CD,'') AS TPORT_ETH_ACCS_TYPE_CD,
			 --ISNULL(CPEP.TPORT_VNDR_QUOTE_ID,'') AS TPORT_VNDR_QUOTE_ID,
				
             /* End Mach5 Fields */
             
             ISNULL(f.CPE_PHN_NBR,'') AS CPE_PHN_NBR,
             ISNULL(f.CPE_PHN_NBR_TYPE_CD,'') AS CPE_PHN_NBR_TYPE_CD,
             ISNULL(f.FSA_EXP_TYPE_CD,'') AS FSA_EXP_TYPE_CD,
             ISNULL(f.INTL_PL_SRVC_TYPE_CD,'') AS INTL_PL_SRVC_TYPE_CD,
             ISNULL(f.INTL_PL_CKT_TYPE_CD,'')  AS INTL_PL_CKT_TYPE_CD
             ,ISNULL(f.INTL_PL_PLUS_IP_CD,'') AS INTL_PL_PLUS_IP_CD
             ,Case	ISNULL(lp.INTL_PL_CAT_DES,'')
				When	''	Then	ISNULL(f.INTL_PL_CAT_ID,'')
				Else	lp.INTL_PL_CAT_DES
			End AS INTL_PL_CAT_ID
             ,ISNULL(f.OSS_OPT_CD,'') AS OSS_OPT_CD
             ,f.MULT_ORDR_INDEX_NBR	AS	ORD_MULT_ORDR_INDEX_NBR
             ,f.MULT_ORDR_TOT_CNT	AS	ORD_MULT_ORDR_TOT_CNT
             ,ISNULL(f.VNDR_VPN_CD, '')	AS	ORD_VNDR_VPN_CD
             
             ,ISNULL(ORANGE_OFFR_CD, '')	AS	TIC_ORANGE_OFFR_CD
             ,ISNULL(CUST_FRWL_CD, '')		AS	TIC_CUST_FRWL_CD
             ,CASE	f.ORDR_TYPE_CD	WHEN	'CH' THEN	NULL
									ELSE	ISNULL(f.CXR_SRVC_ID, '')		
			 END							AS	TIC_CXR_SRVC_ID
             ,CASE	f.ORDR_TYPE_CD	WHEN	'CH' THEN	NULL
									ELSE	ISNULL(f.CXR_CKT_ID, '')
			 END							AS	TIC_CXR_CKT_ID
			 ,CASE	f.ORDR_TYPE_CD	WHEN	'CH' THEN	ISNULL(f.CXR_SRVC_ID, '')
									ELSE	NULL
			 END							AS	CHG_CXR_SRVC_ID
			 ,CASE	WHEN  (f.ORDR_TYPE_CD = 'CH') THEN	ISNULL(f.CXR_CKT_ID, '')
									WHEN 	(f.ORDR_SUB_TYPE_CD IN ('AR','RO')) THEN ISNULL(CPEA.CKT_ID, '')
									ELSE	NULL
			 END							AS	CHG_CXR_CKT_ID
             ,Case	ISNULL(f.FSA_ORGNL_INSTL_ORDR_ID, 0)	
				When	0	Then	NULL
				Else	f.FSA_ORGNL_INSTL_ORDR_ID
			 End							AS	CHG_FSA_ORGNL_INSTL_ORDR_ID
             ,ISNULL(ORDR_CHNG_DES, '')		AS	CHG_ORDR_CHNG_DES
			 ,ISNULL(NW_USER_ADR, '')		AS	CHG_NW_USER_ADR
			 --,ISNULL(CPEP.PORT_RT_TYPE_CD, '')	AS	CHG_PORT_RT_TYPE_CD
			 ,ISNULL(DISC_REAS_CD, '')		AS	DDG_DISC_REAS_CD
			 ,ISNULL(DISC_CNCL_BEF_STRT_REAS_CD, '')		AS	DDG_DISC_CNCL_BEF_STRT_REAS_CD
			 ,ISNULL(DISC_CNCL_BEF_STRT_REAS_DETL_TXT, '')		AS	DDG_DISC_CNCL_BEF_STRT_REAS_DETL_TXT
			 ,ISNULL(f.PRE_QUAL_NBR,'') AS PRE_QUAL_NBR
			 --,ISNULL(CPEA.PL_NBR,'') AS PL_NBR
			FROM	dbo.FSA_ORDR f WITH (NOLOCK)
				  INNER JOIN dbo.ORDR od WITH (NOLOCK) ON od.ORDR_ID=f.ORDR_ID
                  LEFT JOIN dbo.LK_ORDR_ACTN		a	WITH (NOLOCK)	ON f.ORDR_ACTN_ID			=	a.ORDR_ACTN_ID
                  LEFT JOIN dbo.LK_FSA_PROD_TYPE	p	WITH (NOLOCK)	ON f.PROD_TYPE_CD			=	p.FSA_PROD_TYPE_CD
				  LEFT JOIN dbo.LK_FSA_ORDR_TYPE	ot	WITH (NOLOCK)	ON f.ORDR_TYPE_CD			=	ot.FSA_ORDR_TYPE_CD                  
                  LEFT JOIN dbo.LK_MDS_SRVC_TIER	svc WITH (NOLOCK)	ON f.INSTL_SRVC_TIER_CD		=	svc.MDS_SRVC_TIER_ID
                  LEFT JOIN dbo.LK_MDS_TRNSPRT_TYPE	tt	WITH (NOLOCK)	ON f.INSTL_TRNSPRT_TYPE_CD	=	tt.MDS_TRNSPRT_CD AND tt.REC_STUS_ID = 1
                  LEFT JOIN	dbo.LK_INTL_PL_CAT		lp	WITH (NOLOCK)	ON	ISNULL(f.INTL_PL_CAT_ID,'')	=	lp.INTL_PL_CAT_ID		
				LEFT JOIN dbo.FSA_ORDR_CPE_LINE_ITEM CPEA WITH (NOLOCK) ON f.ORDR_ID= CPEA.ORDR_ID AND CPEA.LINE_ITEM_CD='ACS'
				--LEFT JOIN dbo.FSA_ORDR_CPE_LINE_ITEM CPEP WITH (NOLOCK) ON f.ORDR_ID= CPEP.ORDR_ID AND CPEP.LINE_ITEM_CD='PRT'
				--LEFT JOIN dbo.LK_ORDR_ACCS_ARNGT	ax	WITH (NOLOCK)	ON CPEA.TTRPT_ACCS_ARNGT_CD	=	ax.ACCS_ARNGT_CD
             WHERE f.ORDR_ID = @OrderID
			   

		--H1 Info             
        SELECT 
				fc.CUST_ID AS H1_Cust_ID,
				CASE WHEN (csd.CUST_NME IS NULL) THEN ISNULL(fc.CUST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csd.CUST_NME)),'') END AS H1_Cust_Name, 
				ISNULL(fc.BR_CD,'') AS H1_Branch_Code,
				fc.CURR_BILL_CYC_CD AS H1_Curr_Billing_Cycle,
				ISNULL(fc.FUT_BILL_CYC_CD,'') AS H1_Future_Billing_Cycle,
				ISNULL(fc.TAX_XMPT_CD,'') AS H1_TAX_XMPT_CD,
				ISNULL(fc.CHARS_CUST_ID,'') AS H1_CHARS_CUST_ID,
				ISNULL(fc.site_id,'') AS H1_SITE_ID
        FROM	dbo.FSA_ORDR_CUST fc WITH (NOLOCK)
		LEFT JOIN dbo.CUST_SCRD_DATA csd WITH (NOLOCK) ON csd.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csd.SCRD_OBJ_TYPE_ID=5
        WHERE	fc.ORDR_ID = @OrderID
			AND	fc.CIS_LVL_TYPE = 'H1'
			
		--H4 Info
		SELECT TOP 1 
				ISNULL(fc.CUST_ID,'') AS H4_Cust_ID,
				CASE WHEN (csdfc.CUST_NME IS NULL) THEN ISNULL(fc.CUST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdfc.CUST_NME)),'') END AS H4_Cust_Name,
				fc.CURR_BILL_CYC_CD AS H4_Curr_Billing_Cycle,
				fc.FUT_BILL_CYC_CD AS H4_Future_Billing_Cycle,
				ISNULL(fc.TAX_XMPT_CD,'') AS H4_TAX_XMPT_CD,
				ISNULL(fc.CHARS_CUST_ID,'') AS H4_CHARS_CUST_ID,
				ISNULL(fc.SITE_ID,'') AS H4_SITE_ID,
				la.ADR_TYPE_DES AS H4_AddressType,
				CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS H4_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS H4_Address2,
				
				/*Begin new fields for Mach5*/
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS H4_Address3,
				''														   AS H4_Suite,
				/*end new fields for Mach5*/
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS H4_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS H4_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS H4_Zip,
				ISNULL(oa.CTRY_CD,'') AS H4_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS H4_Province,
				ISNULL(lr.ROLE_NME,'') AS H4_RoleName,
				ISNULL(lc.CNTCT_TYPE_DES,'') AS H4_ContactType,
				CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END AS H4_FirstName,
				CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END AS H4_LastName,
				CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END AS H4_Name,
				CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END AS H4_Email,
				ISNULL(oc.ISD_CD,'')	AS	H4_ISD_CD,
				ISNULL(oc.STN_NBR,'')	AS	H4_STN_NBR,
				ISNULL(oc.CTY_CD,'')	AS	H4_CTY_CD,
				ISNULL(oc.NPA,'')		AS	H4_NPA,
				ISNULL(oc.NXX,'')		AS	H4_NXX,
				ISNULL(oc.PHN_NBR,'') AS H4_PHN_NBR,
				ISNULL(oc.FAX_NBR,'') AS H4_FAX_NBR
				,ISNULL(oc.PHN_EXT_NBR,'') AS H4_PHN_NBR_EXTN
        FROM	dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID = fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE = 'H4'
														AND	oa.HIER_LVL_CD	=	0
    LEFT JOIN	dbo.LK_ADR_TYPE		la	WITH (NOLOCK)	on la.ADR_TYPE_ID = oa.ADR_TYPE_ID
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID	= fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE = 'H4'
														AND	oc.CNTCT_TYPE_ID	!=	17
														AND oc.FSA_MDUL_ID = 'CIS'
    LEFT JOIN	dbo.LK_ROLE			lr	WITH (NOLOCK)	on lr.ROLE_ID	= oc.ROLE_ID
    LEFT JOIN	dbo.LK_CNTCT_TYPE	lc	WITH (NOLOCK)	on lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
       WHERE	fc.ORDR_ID = @OrderID 
			AND	fc.CIS_LVL_TYPE = 'H4'

		--H6 Info
		SELECT TOP 1 
				ISNULL(fc.CUST_ID,'') AS H6_Cust_ID,
				CASE WHEN (csdfc.CUST_NME IS NULL) THEN ISNULL(fc.CUST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdfc.CUST_NME)),'') END AS H6_Cust_Name,
				ISNULL(fc.CURR_BILL_CYC_CD,'') AS H6_Curr_Billing_Cycle,
				ISNULL(fc.FUT_BILL_CYC_CD,'') AS H6_Future_Billing_Cycle,
				ISNULL(fc.SRVC_SUB_TYPE_ID,'') AS H6_ServiceSubType,
                ISNULL(fc.BR_CD,'') AS H6_BranchCode,
				ISNULL(fc.SOI_CD,'') AS H6_SalesOfficeIDCode,
				ISNULL(fc.SALS_PERSN_PRIM_CID,'') AS H6_SalespersonPrimaryCID,
				ISNULL(fc.SALS_PERSN_SCNDY_CID,'') AS H6_SalespersonSecondaryCID,
				ISNULL(fc.CLLI_CD,'') AS H6_CLLICode,
				ISNULL(fc.TAX_XMPT_CD,'') AS H6_TAX_XMPT_CD,
				ISNULL(fc.CHARS_CUST_ID,'') AS H6_CHARS_CUST_ID,
				ISNULL(fc.SITE_ID,'') AS H6_SITE_ID,
				ISNULL(la.ADR_TYPE_DES,'') AS H6_AddressType,
				CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS H6_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS H6_Address2,
				
				/*Begin new fields for Mach5*/
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS H6_Address3,
				''													       AS H6_Suite,
				CASE WHEN (csdoa.BLDG_NME IS NULL) THEN ISNULL(oa.BLDG_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.BLDG_NME)),'') END AS H6_Bldg_Nme,
				CASE WHEN (csdoa.FLR_ID IS NULL) THEN ISNULL(oa.FLR_ID,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.FLR_ID)),'') END AS H6_Flr_ID,
				CASE WHEN (csdoa.RM_NBR IS NULL) THEN ISNULL(oa.RM_NBR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.RM_NBR)),'') END AS H6_Rm_Nbr,
				/*End new fields for Mach5*/
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS H6_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS H6_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS H6_Zip,
				ISNULL(oa.CTRY_CD,'') AS H6_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS H6_Province,
				
				ISNULL(lrLCON.ROLE_NME,ISNULL(lr.ROLE_NME,'')) AS H6_RoleName,
				ISNULL(lcLCON.CNTCT_TYPE_DES,ISNULL(lc.CNTCT_TYPE_DES,'')) AS H6_ContactType,
				CASE WHEN (ordr.CSG_LVL_ID=0) THEN ISNULL(ocLCON.FRST_NME,ISNULL(oc.FRST_NME,'')) ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdocLCON.FRST_NME)),ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'')) END AS H6_FirstName,
				CASE WHEN (ordr.CSG_LVL_ID=0) THEN ISNULL(ocLCON.LST_NME,ISNULL(oc.LST_NME,'')) ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdocLCON.LST_NME)),ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'')) END AS H6_LastName,
				CASE WHEN (ordr.CSG_LVL_ID=0) THEN ISNULL(ocLCON.CNTCT_NME,ISNULL(oc.CNTCT_NME,'')) ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdocLCON.CUST_CNTCT_NME)),ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'')) END AS H6_Name,
				CASE WHEN (ordr.CSG_LVL_ID=0) THEN ISNULL(ocLCON.EMAIL_ADR,ISNULL(oc.EMAIL_ADR,'')) ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdocLCON.CUST_EMAIL_ADR)),ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'')) END AS H6_Email,
				ISNULL(ocLCON.ISD_CD,ISNULL(oc.ISD_CD,''))	AS	H6_ISD_CD,
				ISNULL(ocLCON.STN_NBR,ISNULL(oc.STN_NBR,''))	AS	H6_STN_NBR,
				ISNULL(ocLCON.CTY_CD,ISNULL(oc.CTY_CD,''))	AS	H6_CTY_CD,
				ISNULL(ocLCON.NPA,ISNULL(oc.NPA,''))		AS	H6_NPA,
				ISNULL(ocLCON.NXX,ISNULL(oc.NXX,''))		AS	H6_NXX,
				ISNULL(ocLCON.PHN_NBR,ISNULL(oc.PHN_NBR,'')) AS H6_PHN_NBR,
				ISNULL(ocLCON.FAX_NBR,ISNULL(oc.FAX_NBR,'')) AS H6_FAX_NBR
				,ISNULL(ocLCON.PHN_EXT_NBR,ISNULL(oc.PHN_EXT_NBR,'')) AS H6_PHN_NBR_EXTN
        FROM	dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
	LEFT JOIN	dbo.ORDR 			ordr WITH (NOLOCK) ON ordr.ORDR_ID=fc.ORDR_ID
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID = fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE = 'H6'
														AND	oa.HIER_LVL_CD	=	0
    LEFT JOIN	dbo.LK_ADR_TYPE		la	WITH (NOLOCK)	on la.ADR_TYPE_ID = oa.ADR_TYPE_ID
    LEFT JOIN	dbo.ORDR_CNTCT		ocLCON	WITH (NOLOCK)	on ocLCON.ORDR_ID	= fc.ORDR_ID 
														AND	ocLCON.CIS_LVL_TYPE = 'H6'
														AND	ocLCON.CNTCT_TYPE_ID	!=	17
														AND ocLCON.FSA_MDUL_ID = 'CIS'
														AND ocLCON.ROLE_ID IN (86,87,92,6,16,18,71)
	LEFT JOIN	dbo.LK_ROLE			lrLCON	WITH (NOLOCK)	on lrLCON.ROLE_ID	= ocLCON.ROLE_ID
	LEFT JOIN	dbo.LK_CNTCT_TYPE	lcLCON	WITH (NOLOCK)	on lcLCON.CNTCT_TYPE_ID = ocLCON.CNTCT_TYPE_ID
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID	= fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE = 'H6'
														AND	oc.CNTCT_TYPE_ID	!=	17
														AND oc.FSA_MDUL_ID = 'CIS'
    
    LEFT JOIN	dbo.LK_ROLE			lr	WITH (NOLOCK)	on lr.ROLE_ID	= oc.ROLE_ID
    LEFT JOIN	dbo.LK_CNTCT_TYPE	lc	WITH (NOLOCK)	on lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
	LEFT JOIN dbo.CUST_SCRD_DATA csdocLCON WITH (NOLOCK) ON csdocLCON.SCRD_OBJ_ID=ocLCON.ORDR_CNTCT_ID AND csdocLCON.SCRD_OBJ_TYPE_ID=15
       WHERE	fc.ORDR_ID = @OrderID 
			AND	fc.CIS_LVL_TYPE = 'H6' 
		
		--H5 Info
		SELECT TOP 1
				ISNULL(fc.CUST_ID,'') AS ES_Cust_ID,
				CASE WHEN (csdfc.CUST_NME IS NULL) THEN ISNULL(fc.CUST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdfc.CUST_NME)),'') END AS ES_Cust_Name,
				ISNULL(fc.CURR_BILL_CYC_CD,'') AS ES_Curr_Billing_Cycle,
				ISNULL(fc.FUT_BILL_CYC_CD,'') AS ES_Future_Billing_Cycle,
				ISNULL(fc.SRVC_SUB_TYPE_ID,'') AS ES_ServiceSubType,
                ISNULL(fc.BR_CD,'') AS ES_BranchCode,
				ISNULL(fc.SOI_CD,'') AS ES_SalesOfficeIDCode,
				ISNULL(fc.SALS_PERSN_PRIM_CID,'') AS ES_SalespersonPrimaryCID,
				ISNULL(fc.SALS_PERSN_SCNDY_CID,'') AS ES_SalespersonSecondaryCID,
				ISNULL(fc.TAX_XMPT_CD,'') AS ES_TAX_XMPT_CD,
				ISNULL(fc.CHARS_CUST_ID,'') AS ES_CHARS_CUST_ID,
				ISNULL(fc.SITE_ID,'') AS ES_SITE_ID,
				ISNULL(la.ADR_TYPE_DES,'') AS ES_AddressType,
				CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS ES_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS ES_Address2,
				
				/*Begin new fields for Mach5*/
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS ES_Address3,
				''														   AS ES_Suite,
				CASE WHEN (csdoa.BLDG_NME IS NULL) THEN ISNULL(oa.BLDG_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.BLDG_NME)),'') END AS ES_Bldg_Nme,
				CASE WHEN (csdoa.FLR_ID IS NULL) THEN ISNULL(oa.FLR_ID,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.FLR_ID)),'') END AS ES_Flr_ID,
				CASE WHEN (csdoa.RM_NBR IS NULL) THEN ISNULL(oa.RM_NBR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.RM_NBR)),'') END AS ES_Rm_Nbr,
				/*Begin new fields for Mach5*/
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS ES_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS ES_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS ES_Zip,
				ISNULL(oa.CTRY_CD,'') AS ES_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS ES_Province,
				ISNULL(lr.ROLE_NME,'') AS ES_RoleName,
				ISNULL(lc.CNTCT_TYPE_DES,'') AS ES_ContactType,
				CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END AS ES_FirstName,
				CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END AS ES_LastName,
				CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END AS ES_Name,
				CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END AS ES_Email,
				ISNULL(oc.ISD_CD,'')	AS	ES_ISD_CD,
				ISNULL(oc.STN_NBR,'')	AS	ES_STN_NBR,
				ISNULL(oc.CTY_CD,'')	AS	ES_CTY_CD,
				ISNULL(oc.NPA,'')		AS	ES_NPA,
				ISNULL(oc.NXX,'')		AS	ES_NXX,
				ISNULL(oc.PHN_NBR,'') AS ES_PHN_NBR,
				ISNULL(oc.FAX_NBR,'') AS ES_FAX_NBR
				,ISNULL(oc.PHN_EXT_NBR,'') AS ES_PHN_NBR_EXTN
        FROM	dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID = fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE = 'H5'
														AND	oa.HIER_LVL_CD	=	0
    LEFT JOIN	dbo.LK_ADR_TYPE		la	WITH (NOLOCK)	on la.ADR_TYPE_ID = oa.ADR_TYPE_ID
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID	= fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE = 'H5'
														AND	oc.CNTCT_TYPE_ID	!=	17
    LEFT JOIN	dbo.LK_ROLE			lr	WITH (NOLOCK)	on lr.ROLE_ID	= oc.ROLE_ID
    LEFT JOIN	dbo.LK_CNTCT_TYPE	lc	WITH (NOLOCK)	on lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
       WHERE	fc.ORDR_ID = @OrderID 
			AND	fc.CIS_LVL_TYPE = 'H5'                                
           
       --Account Team members info
       SELECT
			ACT_CIS_Hierarchy = oc.CIS_LVL_TYPE,
			ACT_RoleName = lr.ROLE_NME,
            ACT_ContactType = lc.CNTCT_TYPE_DES,
			ACT_FirstName = CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END,
			ACT_LastName = CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END,
			ACT_Name = CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END,
			ACT_Email = CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END,
            ISNULL(oc.ISD_CD,'')	AS	ACT_ISD_CD,
			ISNULL(oc.STN_NBR,'')	AS	ACT_STN_NBR,
			ISNULL(oc.CTY_CD,'')	AS	ACT_CTY_CD,
			ISNULL(oc.NPA,'')		AS	ACT_NPA,
			ISNULL(oc.NXX,'')		AS	ACT_NXX,
			ISNULL(oc.PHN_NBR,'')	AS	ACT_PHN_NBR,
			ISNULL(oc.FAX_NBR,'')	AS	ACT_FAX_NBR
			,ISNULL(oc.PHN_EXT_NBR,'') AS ACT_PHN_NBR_EXTN
      FROM ORDR_CNTCT				oc WITH (NOLOCK)
        LEFT JOIN dbo.LK_ROLE		lr WITH (NOLOCK)	ON lr.ROLE_ID = oc.ROLE_ID
        LEFT JOIN dbo.LK_CNTCT_TYPE lc WITH (NOLOCK)	ON lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
		LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
      WHERE	oc.ORDR_ID = @OrderID
        --AND	oc.FSA_MDUL_ID = 'ATM'

	 --MDS Installation Address
	 SELECT 
			INA_AddressType = la.ADR_TYPE_DES,
			INA_STREET_ADR_1 = CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END,
			INA_STREET_ADR_2 = CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END,            
            /* Begin new fields for 8006*/
            INA_STREET_ADR_3 = CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END,  
            INA_Suite = '',
            /* End new fields for 8006*/            
			INA_CTY_NME = CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END,
			INA_STT_CD = CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END,
			INA_ZIP_PSTL_CD = CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END,
            INA_CTRY_CD = oa.CTRY_CD,
			INA_PRVN_NME = CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END
    FROM	dbo.ORDR_ADR		oa	WITH (NOLOCK)
	LEFT JOIN dbo.LK_ADR_TYPE	la	WITH (NOLOCK)	on oa.ADR_TYPE_ID = la.ADR_TYPE_ID
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
    where	oa.ORDR_ID = @OrderID
      AND	oa.FSA_MDUL_ID = 'MDS'
      
      --MDS Installation Contact Info
	SELECT 
		INC_RoleName = lr.ROLE_NME,
		INC_ContactType = lc.CNTCT_TYPE_DES,
		INC_FRST_NME = CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END,
		INC_LST_NME = CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END,
		INC_NME = CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END,
		INC_EMAIL_ADR = CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END,
		ISNULL(oc.ISD_CD,'')	AS	INC_ISD_CD,
		ISNULL(oc.STN_NBR,'')	AS	INC_STN_NBR,
		ISNULL(oc.CTY_CD,'')	AS	INC_CTY_CD,
		ISNULL(oc.NPA,'')		AS	INC_NPA,
		ISNULL(oc.NXX,'')		AS	INC_NXX,
		ISNULL(oc.PHN_NBR,'')	AS	INC_PHN_NBR,
		ISNULL(oc.FAX_NBR,'')	AS	INC_FAX_NBR
		,ISNULL(oc.PHN_EXT_NBR,'') AS INC_PHN_NBR_EXTN
	FROM dbo.ORDR_CNTCT		oc WITH (NOLOCK)
   LEFT JOIN dbo.LK_ROLE	lr WITH (NOLOCK)	on lr.ROLE_ID = oc.ROLE_ID
   LEFT JOIN dbo.LK_CNTCT_TYPE lc WITH (NOLOCK) on lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
   LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
   WHERE oc.ORDR_ID = @OrderID
    AND oc.FSA_MDUL_ID = 'MDS'
                   
      --MDS Installation Line Items
      SELECT
			INL_SRVC_LINE_ITEM_CD = ISNULL(cp.SRVC_LINE_ITEM_CD,''),
			INL_LINE_ITEM_DES = ISNULL(cp.MDS_DES,''),
            INL_LINE_ITEM_QTY = ISNULL(cp.ORDR_QTY,''),
            INL_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
            INL_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
            INL_ACTN_CD = ISNULL(bl.ACTN_CD,'')
            ,INL_FSA_ORGNL_INSTL_ORDR_ID	=	Case	ISNULL(cp.FSA_ORGNL_INSTL_ORDR_ID, '0')
													When	'0'	Then	NULL
													Else	cp.FSA_ORGNL_INSTL_ORDR_ID
												End	
	 FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	cp WITH (NOLOCK)
LEFT JOIN	dbo.FSA_ORDR_BILL_LINE_ITEM bl WITH (NOLOCK) ON cp.FSA_CPE_LINE_ITEM_ID = bl.FSA_CPE_LINE_ITEM_ID
	WHERE	cp.ORDR_ID = @OrderID
        AND	cp.LINE_ITEM_CD = 'MDS'
               
      --CPE Line Items
      SELECT DISTINCT
           CPL_EQPT_TYPE_ID = ISNULL(cp.EQPT_TYPE_ID,''),
           CPL_EQPT_ID = ISNULL(cp.EQPT_ID,''),
           CPL_LINE_ITEM_DES = ISNULL(cp.MDS_DES,''),
           CPL_MFR_NME = ISNULL(cp.MFR_NME,''),
           CPL_LINE_ITEM_QTY = ISNULL(cp.ORDR_QTY,''),
           CPL_CNTRC_TYPE_ID = ISNULL(cp.CNTRC_TYPE_ID,''),
           CPL_CNTRC_TERM_ID = ISNULL(cp.CNTRC_TERM_ID,'') ,
           CPL_INSTLN_CD = ISNULL(cp.INSTLN_CD,''),
           CPL_MNTC_CD = ISNULL(cp.MNTC_CD,''),
           CPL_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
           CPL_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
		   CPL_CHG_CD = ISNULL(bl.CHG_CD,''),
           CPL_ACTN_CD = ISNULL(bl.ACTN_CD,'')
           ,CPL_FSA_ORGNL_INSTL_ORDR_ID		=	Case	ISNULL(cp.FSA_ORGNL_INSTL_ORDR_ID, '0')
													When	'0'	Then	NULL
													Else	cp.FSA_ORGNL_INSTL_ORDR_ID
												End	
			,cp.FSA_CPE_LINE_ITEM_ID
			,CPL_PLSFT_RQSTN_NBR = ISNULL(cp.PLSFT_RQSTN_NBR,''),
			Case	
				When	cp.RQSTN_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.RQSTN_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_RQSTN_DT,
			   CPL_PRCH_ORDR_NBR = ISNULL(cp.PRCH_ORDR_NBR,''),
			   Case	
				When	cp.EQPT_ITM_RCVD_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.EQPT_ITM_RCVD_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_EQPT_ITM_RCVD_DT,
			   CPL_MATL_CD = ISNULL(cp.MATL_CD,''),
			   CPL_UNIT_MSR = ISNULL(cp.UNIT_MSR,''),
			   CPL_MANF_PART_CD = ISNULL(cp.MANF_PART_CD,''),
			   CPL_VNDR_CD = ISNULL(cp.VNDR_CD,''),
			   CPL_ORDR_QTY = ISNULL(cp.ORDR_QTY, 0),
			   CPL_UNIT_PRICE = ISNULL(cp.UNIT_PRICE,''),
			   CPL_MANF_DISCNT_CD = ISNULL(cp.MANF_DISCNT_CD,''),
			   CPL_FMS_CKT_NBR = ISNULL(cp.FMS_CKT_NBR,0),
			   CPL_EQPT_RCVD_BY_ADID = ISNULL(cp.EQPT_RCVD_BY_ADID,''),
			   --CPL_ITM_STUS = ISNULL(cp.ITM_STUS,0),
			   Case	
				When	cp.CMPL_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.CMPL_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_CMPL_DT,
			   CPL_PO_LN_NBR = ISNULL(cp.PO_LN_NBR,0),
			   CPL_RCVD_QTY = ISNULL(cp.RCVD_QTY,0),
			   CPL_PS_RCVD_STUS = ISNULL(cp.PS_RCVD_STUS,0),
			   CPL_PID = ISNULL(cp.PID,''),
			   CPL_DROP_SHP = ISNULL(cp.DROP_SHP,''),
			   CPL_DEVICE_ID = ISNULL(cp.DEVICE_ID,''),
			   CPL_CMPNT_FMLY = ISNULL(cp.CMPNT_FMLY,''),
			   CPL_STUS_CD = ISNULL(cp.STUS_CD,''),
			   CPL_CPE_REUSE_CD = ISNULL(cp.CPE_REUSE_CD,''),
			   CPL_SUPPLIER = ISNULL(cp.SUPPLIER,''),
			   CPL_SPRINT_MNTD_FLG = ISNULL(cp.SPRINT_MNTD_FLG,'')
	  FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	cp	WITH (NOLOCK)
LEFT JOIN	dbo.FSA_ORDR_BILL_LINE_ITEM bl  WITH (NOLOCK) ON cp.FSA_CPE_LINE_ITEM_ID = bl.FSA_CPE_LINE_ITEM_ID 
	  INNER JOIN dbo.FSA_ORDR fo WITH (NOLOCK) ON fo.ORDR_ID = cp.ORDR_ID
	  WHERE cp.ORDR_ID = @OrderID
	AND		cp.LINE_ITEM_CD = 'CPE'
	AND  ((fo.ORDR_TYPE_CD != 'CN' AND cp.ITM_STUS = 401)
					OR
		 (fo.ORDR_TYPE_CD = 'CN' AND cp.ITM_STUS = 402))
	--To Do - Instead of using this crazy Union Query, alter the table structure by adding CPE ID into Bill table, allowing a straight join (and alter insert code to adjust)
		UNION 
		SELECT DISTINCT 
			   CPL_EQPT_TYPE_ID = ISNULL(cp.EQPT_TYPE_ID,''),
			   CPL_EQPT_ID = ISNULL(cp.EQPT_ID,''),
			   CPL_LINE_ITEM_DES = ISNULL(cp.MDS_DES,''),
			   CPL_MFR_NME = ISNULL(cp.MFR_NME,''),
			   CPL_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,''),
			   CPL_CNTRC_TYPE_ID = ISNULL(cp.CNTRC_TYPE_ID,''),
			   CPL_CNTRC_TERM_ID = ISNULL(cp.CNTRC_TERM_ID,'') ,
			   CPL_INSTLN_CD = ISNULL(cp.INSTLN_CD,''),
			   CPL_MNTC_CD = ISNULL(cp.MNTC_CD,''),
			   CPL_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
			   CPL_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
			   CPL_CHG_CD = ISNULL(bl.CHG_CD,''),
			   CPL_ACTN_CD = ISNULL(bl.ACTN_CD,'')
			   ,CPL_FSA_ORGNL_INSTL_ORDR_ID		=	Case	ISNULL(cp.FSA_ORGNL_INSTL_ORDR_ID, '0')
														When	'0'	Then	NULL
														Else	cp.FSA_ORGNL_INSTL_ORDR_ID
													End	
				,cp.FSA_CPE_LINE_ITEM_ID
				,CPL_PLSFT_RQSTN_NBR = ISNULL(cp.PLSFT_RQSTN_NBR,''),
			Case	
				When	cp.RQSTN_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.RQSTN_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_RQSTN_DT,
			   CPL_PRCH_ORDR_NBR = ISNULL(cp.PRCH_ORDR_NBR,''),
			   Case	
				When	cp.EQPT_ITM_RCVD_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.EQPT_ITM_RCVD_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_EQPT_ITM_RCVD_DT,
			   CPL_MATL_CD = ISNULL(cp.MATL_CD,''),
			   CPL_UNIT_MSR = ISNULL(cp.UNIT_MSR,''),
			   CPL_MANF_PART_CD = ISNULL(cp.MANF_PART_CD,''),
			   CPL_VNDR_CD = ISNULL(cp.VNDR_CD,''),
			   CPL_ORDR_QTY = ISNULL(cp.ORDR_QTY, 0),
			   CPL_UNIT_PRICE = ISNULL(cp.UNIT_PRICE,''),
			   CPL_MANF_DISCNT_CD = ISNULL(cp.MANF_DISCNT_CD,''),
			   CPL_FMS_CKT_NBR = ISNULL(cp.FMS_CKT_NBR,0),
			   CPL_EQPT_RCVD_BY_ADID = ISNULL(cp.EQPT_RCVD_BY_ADID,''),
			   --CPL_ITM_STUS = ISNULL(cp.ITM_STUS,0),
			   Case	
				When	cp.CMPL_DT IS NULL Then NULL
				Else	REPLACE(REPLACE(Convert(Varchar, cp.CMPL_DT, 7), ' ', '/'), ',/', '/')
			 End		AS CPL_CMPL_DT,
			   CPL_PO_LN_NBR = ISNULL(cp.PO_LN_NBR,0),
			   CPL_RCVD_QTY = ISNULL(cp.RCVD_QTY,0),
			   CPL_PS_RCVD_STUS = ISNULL(cp.PS_RCVD_STUS,0),
			   CPL_PID = ISNULL(cp.PID,''),
			   CPL_DROP_SHP = ISNULL(cp.DROP_SHP,''),
			   CPL_DEVICE_ID = ISNULL(cp.DEVICE_ID,''),
			   CPL_CMPNT_FMLY = ISNULL(cp.CMPNT_FMLY,''),
			   CPL_STUS_CD = ISNULL(cp.STUS_CD,''),		
			   CPL_CPE_REUSE_CD = ISNULL(cp.CPE_REUSE_CD,''),
			   CPL_SUPPLIER = ISNULL(cp.SUPPLIER,''),
			   CPL_SPRINT_MNTD_FLG = ISNULL(cp.SPRINT_MNTD_FLG,'')
		  FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	cp	WITH (NOLOCK)
	       INNER JOIN dbo.FSA_ORDR_BILL_LINE_ITEM bl  WITH (NOLOCK)	ON	cp.ORDR_ID = bl.ORDR_ID
																AND	cp.MDS_DES = bl.LINE_ITEM_DES
																AND	bl.FSA_CPE_LINE_ITEM_ID < cp.FSA_CPE_LINE_ITEM_ID 
																--The Bill Lines are inserted first, so it is always less than or equal.  = is found above, take only < here
		   INNER JOIN dbo.FSA_ORDR fo WITH (NOLOCK) ON fo.ORDR_ID = cp.ORDR_ID
		  WHERE cp.ORDR_ID = @OrderID
		AND		cp.LINE_ITEM_CD = 'CPE'
		AND  ((fo.ORDR_TYPE_CD != 'CN' AND cp.ITM_STUS = 401)
					OR
			  (fo.ORDR_TYPE_CD = 'CN' AND cp.ITM_STUS = 402))
		AND		bl.FSA_CPE_LINE_ITEM_ID > ISNULL(
														(SELECT MAX(FSA_CPE_LINE_ITEM_ID) 
														FROM FSA_ORDR_CPE_LINE_ITEM c WITH (NOLOCK) 
														WHERE	c.ORDR_ID = cp.ORDR_ID 
															AND c.MDS_DES = cp.MDS_DES 
															AND	c.FSA_CPE_LINE_ITEM_ID < cp.FSA_CPE_LINE_ITEM_ID)
													,0)
		ORDER BY cp.FSA_CPE_LINE_ITEM_ID

       --Value Added Services
      SELECT 
			VAS_TYPE = ISNULL(VAS_TYPE_CD,''),
			VAS_SRVC_LVL_ID = ISNULL(SRVC_LVL_ID,''),
			VAS_NW_ADR = ISNULL(NW_ADR,''),
			VAS_QTY = ISNULL(VAS_QTY,'')
      FROM	dbo.FSA_ORDR_VAS WITH (NOLOCK)
	  WHERE ORDR_ID = @OrderID


	  --VAS Billing Items
	  SELECT 
			VAL_BIC_CD = ISNULL(bl.BIC_CD,''),
			VAL_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
			VAL_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,'') ,
			VAL_ITEM_CD = ISNULL(bl.ITEM_CD,''),
			VAL_ITEM_DES = ISNULL(bl.ITEM_DES,''),
			VAL_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
			VAL_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
			VAL_ACTN_CD = ISNULL(bl.ACTN_CD,'')
	FROM	dbo.FSA_ORDR_VAS			v	WITH (NOLOCK)	
LEFT JOIN	dbo.FSA_ORDR_BILL_LINE_ITEM bl	WITH (NOLOCK)	on v.FSA_ORDR_BILL_LINE_ITEM_ID =  bl.FSA_ORDR_BILL_LINE_ITEM_ID
	WHERE	v.ORDR_ID = @OrderID
                           

	--Transport Support Contact Info
	 SELECT 
        TSC_RoleName = ISNULL(lr.ROLE_NME,''),
        TSC_ContactType = ISNULL(lc.CNTCT_TYPE_DES,''),
		TSC_FRST_NME = CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END,
		TSC_LST_NME = CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END,
		TSC_NME = CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END,
		TSC_EMAIL_ADR = CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END,
		ISNULL(oc.ISD_CD,'')	AS	TSC_ISD_CD,
		ISNULL(oc.STN_NBR,'')	AS	TSC_STN_NBR,
		ISNULL(oc.CTY_CD,'')	AS	TSC_CTY_CD,
		ISNULL(oc.NPA,'')		AS	TSC_NPA,
		ISNULL(oc.NXX,'')		AS	TSC_NXX,
        TSC_PHN_NBR = ISNULL(oc.PHN_NBR,'')
        ,ISNULL(oc.PHN_EXT_NBR,'') AS TSC_PHN_NBR_EXTN
		,ISNULL(oc.SUPPD_LANG_NME,'') AS TSC_SUPPD_LANG_NME
		,ISNULL(oc.FSA_TME_ZONE_CD,'') AS TSC_FSA_TME_ZONE_CD
		,ISNULL(oc.CNTCT_HR_TXT,'') AS TSC_CNTCT_HR_TXT
		,ISNULL(oc.INTPRTR_CD,'') AS TSC_INTPRTR_CD
    FROM dbo.ORDR_CNTCT		oc	WITH (NOLOCK)
LEFT JOIN dbo.LK_ROLE		lr	WITH (NOLOCK)	ON lr.ROLE_ID		= oc.ROLE_ID
LEFT JOIN dbo.LK_CNTCT_TYPE lc	WITH (NOLOCK)	ON lc.CNTCT_TYPE_ID = oc.CNTCT_TYPE_ID
LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
    WHERE	oc.ORDR_ID = @OrderID
       AND	oc.FSA_MDUL_ID = 'SUP'
                                                           
                                    
	-- Transport Transport Billing Info
	SELECT 
			TTB_BIC_CD = ISNULL(bl.BIC_CD,''),
			TTB_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
			TTB_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,'') ,
			TTB_ITEM_CD = ISNULL(bl.ITEM_CD,''),
			TTB_ITEM_DES = ISNULL(bl.ITEM_DES,''),
			TTB_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
			TTB_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
			TTB_ACTN_CD = ISNULL(bl.ACTN_CD,'')
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM bl	WITH (NOLOCK)
LEFT JOIN	dbo.LK_BILL_ITEM_TYPE		lb	WITH (NOLOCK) ON bl.BILL_ITEM_TYPE_ID = lb.BILL_ITEM_TYPE_ID
	WHERE	bl.ORDR_ID = @OrderID
		AND	lb.BILL_ITEM_TYPE_ID = 5
                                   
                                  

	--Transport Port Contact Info
	SELECT 
		TPC_RoleName = ISNULL(lr.ROLE_NME,''),
        TPC_ContactType = ISNULL(lc.CNTCT_TYPE_DES,''),
		TPC_FRST_NME = CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END,
		TPC_LST_NME = CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END,
		TPC_NME = CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END,
		TPC_EMAIL_ADR = CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END,
        ISNULL(oc.ISD_CD,'')	AS	TPC_ISD_CD,
		ISNULL(oc.STN_NBR,'')	AS	TPC_STN_NBR,
		ISNULL(oc.CTY_CD,'')	AS	TPC_CTY_CD,
		ISNULL(oc.NPA,'')		AS	TPC_NPA,
		ISNULL(oc.NXX,'')		AS	TPC_NXX,
        TPC_PHN_NBR = ISNULL(oc.PHN_NBR,'')
        ,ISNULL(oc.PHN_EXT_NBR,'') AS TPC_PHN_NBR_EXTN
	FROM	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)
LEFT JOIN	dbo.LK_ROLE			lr	WITH (NOLOCK)	on oc.ROLE_ID = lr.ROLE_ID
LEFT JOIN	dbo.LK_CNTCT_TYPE	lc	WITH (NOLOCK)	on oc.CNTCT_TYPE_ID = lc.CNTCT_TYPE_ID
LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
	WHERE	oc.ORDR_ID = @OrderID
        AND	oc.FSA_MDUL_ID = 'PRT'
                                    

	-- Transport Port Billing Items
	SELECT 
		TPB_BIC_CD = ISNULL(bl.BIC_CD,''),
		TPB_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
		TPB_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,''),
		TPB_ITEM_CD = ISNULL(bl.ITEM_CD,''),
		TPB_ITEM_DES = ISNULL(bl.ITEM_DES,''),
		TPB_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
		TPB_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
		TPB_ACTN_CD = bl.ACTN_CD
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM	bl	WITH (NOLOCK)
LEFT JOIN	dbo.LK_BILL_ITEM_TYPE		lb	WITH (NOLOCK)	on bl.BILL_ITEM_TYPE_ID = lb.BILL_ITEM_TYPE_ID
	WHERE	bl.ORDR_ID = @OrderID
		AND	lb.BILL_ITEM_TYPE_ID = 6
                                    
                                    
--Install Billing Items
	SELECT 
		INB_BIC_CD = ISNULL(bl.BIC_CD,''),
		INB_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
		INB_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,''),
		INB_ITEM_CD = ISNULL(bl.ITEM_CD,''),
		INB_ITEM_DES = ISNULL(bl.ITEM_DES,''),
		INB_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
		INB_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
		INB_ACTN_CD = bl.ACTN_CD
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM	bl	WITH (NOLOCK)
LEFT JOIN	dbo.LK_BILL_ITEM_TYPE		lb	WITH (NOLOCK)	on bl.BILL_ITEM_TYPE_ID = lb.BILL_ITEM_TYPE_ID
	WHERE	bl.ORDR_ID = @OrderID
		AND	lb.BILL_ITEM_TYPE_ID = 7
		
	  --Disconnect Line Items
      SELECT	DISC_PL_NBR			=	ISNULL(DISC_PL_NBR, '')
				,DISC_FMS_CKT_NBR	=	Case	ISNULL(DISC_FMS_CKT_NBR, 0)
											When	0	Then	NULL
											Else	DISC_FMS_CKT_NBR
										End
				,DISC_NW_ADR		=	ISNULL(DISC_NW_ADR, '')
				,DISC_TTRPT_ACCS_TYPE_CD				=	ISNULL(TTRPT_ACCS_TYPE_CD, '')
				,DISC_TTRPT_ACCS_TYPE_DES				=	ISNULL(TTRPT_ACCS_TYPE_DES,'')
				,DISC_TTRPT_SPD_OF_SRVC_BDWD_DES	=	ISNULL(TTRPT_SPD_OF_SRVC_BDWD_DES, '')
				,DISC_FSA_ORGNL_INSTL_ORDR_ID		=	Case	ISNULL(FSA_ORGNL_INSTL_ORDR_ID, '0')
															When	'0'	Then	NULL
															Else	FSA_ORGNL_INSTL_ORDR_ID
														End	
				,DISC_CXR_SRVC_ID					=	ISNULL(CXR_SRVC_ID, '')
				,DISC_CXR_CKT_ID					=	ISNULL(CXR_CKT_ID, '')
		  FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	WITH (NOLOCK)
		  WHERE ORDR_ID				=	@OrderID
			AND	LINE_ITEM_CD		=	'DSC'	
	
	--Port IP Address	
	SELECT		TIP_IP_ADR_TYPE_CD	= ISNULL(IP_ADR_TYPE_CD,'')
				,TIP_IP_ADR			= ISNULL(IP_ADR,'')
		FROM	dbo.FSA_IP_ADR WITH (NOLOCK)
		WHERE	ORDR_ID	=	@OrderID
		
	--Port VLANs
	SELECT		VLAN_ID			=	ISNULL(VLAN_ID,'')
				,VLAN_PCT_QTY	=	ISNULL(VLAN_PCT_QTY,'')
		FROM	dbo.ORDR_VLAN	WITH (NOLOCK)
		WHERE	ORDR_ID			=	@OrderID
			AND	VLAN_SRC_NME != 'COWS'	
	
	--H4 Hierarchy Info
	SELECT		CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS H4_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS H4_Address2,
				
				/*Begin Mach5 Order*/	
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS H4_Address3,
				''														   AS H4_Suite,
				/*End Mach5 Order*/	
				
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS H4_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS H4_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS H4_Zip,
				ISNULL(oa.CTRY_CD,'') AS H4_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS H4_Province,
				ISNULL(oc.ISD_CD,'')	AS	H4_ISD_CD,
				ISNULL(oc.STN_NBR,'')	AS	H4_STN_NBR,
				ISNULL(oc.CTY_CD,'')	AS	H4_CTY_CD,
				ISNULL(oc.NPA,'')		AS	H4_NPA,
				ISNULL(oc.NXX,'')		AS	H4_NXX,
				ISNULL(oc.PHN_NBR,'') AS H4_PHN_NBR,
				ISNULL(oc.FAX_NBR,'') AS H4_FAX_NBR
				,ISNULL(oc.PHN_EXT_NBR,'') AS H4_PHN_NBR_EXTN
    FROM		dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID			=	fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE		=	'H4'
														AND	oa.HIER_LVL_CD		=	1
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID			=	fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE		=	'H4'
														AND	oc.CNTCT_TYPE_ID	=	17
														AND oc.FSA_MDUL_ID = 'CIS'
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
       WHERE	fc.ORDR_ID		=	@OrderID 
		AND		fc.CIS_LVL_TYPE =	'H4'	
		
	--H6 Hierarchy Info
	SELECT	TOP 1	
				CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS H6_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS H6_Address2,
				/*Begin Mach5 Order*/	
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS H6_Address3,
				''													       AS H6_Suite,
				CASE WHEN (csdoa.BLDG_NME IS NULL) THEN ISNULL(oa.BLDG_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.BLDG_NME)),'') END AS H6_Bldg_Nme,
				CASE WHEN (csdoa.FLR_ID IS NULL) THEN ISNULL(oa.FLR_ID,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.FLR_ID)),'') END AS H6_Flr_ID,
				CASE WHEN (csdoa.RM_NBR IS NULL) THEN ISNULL(oa.RM_NBR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.RM_NBR)),'') END AS H6_Rm_Nbr,
				/*End Mach5 Order*/	
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS H6_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS H6_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS H6_Zip,
				ISNULL(oa.CTRY_CD,'') AS H6_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS H6_Province,
				ISNULL(oc.ISD_CD,'')	AS	H6_ISD_CD,
				ISNULL(oc.STN_NBR,'')	AS	H6_STN_NBR,
				ISNULL(oc.CTY_CD,'')	AS	H6_CTY_CD,
				ISNULL(oc.NPA,'')		AS	H6_NPA,
				ISNULL(oc.NXX,'')		AS	H6_NXX,
				ISNULL(oc.PHN_NBR,'') AS H6_PHN_NBR,
				ISNULL(oc.FAX_NBR,'') AS H6_FAX_NBR
				,ISNULL(oc.PHN_EXT_NBR,'') AS H6_PHN_NBR_EXTN
    FROM		dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID			=	fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE		=	'H6'
														AND	oa.HIER_LVL_CD		=	1
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID			=	fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE		=	'H6'
														AND	oc.CNTCT_TYPE_ID	=	17
														AND oc.FSA_MDUL_ID = 'CIS'
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
	   WHERE	fc.ORDR_ID		=	@OrderID 
		AND		fc.CIS_LVL_TYPE =	'H6'	
		
	--ES Hierarchy Info	
	SELECT		CASE WHEN (csdoa.STREET_ADR_1 IS NULL) THEN ISNULL(oa.STREET_ADR_1,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_1)),'') END AS ES_Address1,
				CASE WHEN (csdoa.STREET_ADR_2 IS NULL) THEN ISNULL(oa.STREET_ADR_2,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_2)),'') END AS ES_Address2,
				/*Begin Mach5 Order*/	
				CASE WHEN (csdoa.STREET_ADR_3 IS NULL) THEN ISNULL(oa.STREET_ADR_3,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STREET_ADR_3)),'') END AS ES_Address3,
				''														   AS ES_Suite,
				CASE WHEN (csdoa.BLDG_NME IS NULL) THEN ISNULL(oa.BLDG_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.BLDG_NME)),'') END AS ES_Bldg_Nme,
				CASE WHEN (csdoa.FLR_ID IS NULL) THEN ISNULL(oa.FLR_ID,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.FLR_ID)),'') END AS ES_Flr_ID,
				CASE WHEN (csdoa.RM_NBR IS NULL) THEN ISNULL(oa.RM_NBR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.RM_NBR)),'') END AS ES_Rm_Nbr,
				/*End Mach5 Order*/	
				CASE WHEN (csdoa.CTY_NME IS NULL) THEN ISNULL(oa.CTY_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.CTY_NME)),'') END AS ES_City,
				CASE WHEN (csdoa.STT_CD IS NULL) THEN ISNULL(oa.STT_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_CD)),'') END AS ES_State,
				CASE WHEN (csdoa.ZIP_PSTL_CD IS NULL) THEN ISNULL(oa.ZIP_PSTL_CD,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.ZIP_PSTL_CD)),'') END AS ES_Zip,
				ISNULL(oa.CTRY_CD,'') AS ES_Country,
				CASE WHEN (csdoa.STT_PRVN_NME IS NULL) THEN ISNULL(oa.PRVN_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoa.STT_PRVN_NME)),'') END AS ES_Province,
				ISNULL(oc.ISD_CD,'')	AS	ES_ISD_CD,
				ISNULL(oc.STN_NBR,'')	AS	ES_STN_NBR,
				ISNULL(oc.CTY_CD,'')	AS	ES_CTY_CD,
				ISNULL(oc.NPA,'')		AS	ES_NPA,
				ISNULL(oc.NXX,'')		AS	ES_NXX,
				ISNULL(oc.PHN_NBR,'') AS ES_PHN_NBR,
				ISNULL(oc.FAX_NBR,'') AS ES_FAX_NBR
				,ISNULL(oc.PHN_EXT_NBR,'') AS ES_PHN_NBR_EXTN
    FROM		dbo.FSA_ORDR_CUST	fc	WITH (NOLOCK)
    LEFT JOIN	dbo.ORDR_ADR		oa	WITH (NOLOCK)	on	oa.ORDR_ID			=	fc.ORDR_ID  
														AND	oa.CIS_LVL_TYPE		=	'H5'
														AND	oa.HIER_LVL_CD		=	1
	LEFT JOIN	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)	on oc.ORDR_ID			=	fc.ORDR_ID 
														AND	oc.CIS_LVL_TYPE		=	'H5'
														AND	oc.CNTCT_TYPE_ID	=	17
														AND oc.FSA_MDUL_ID = 'CIS'
	LEFT JOIN dbo.CUST_SCRD_DATA csdfc WITH (NOLOCK) ON csdfc.SCRD_OBJ_ID=fc.FSA_ORDR_CUST_ID AND csdfc.SCRD_OBJ_TYPE_ID=5
	LEFT JOIN dbo.CUST_SCRD_DATA csdoa WITH (NOLOCK) ON csdoa.SCRD_OBJ_ID=oa.ORDR_ADR_ID AND csdoa.SCRD_OBJ_TYPE_ID=14
	LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
       WHERE	fc.ORDR_ID		=	@OrderID 
		AND		fc.CIS_LVL_TYPE =	'H5'	
		
  -- VAS Disconnect Line Items
  SELECT	DVL_NW_ADR					=	VAS.NW_ADR
			,DVL_VAS_TYPE_CD			=	VAS.VAS_TYPE_CD
			,DVL_FSA_ORGNL_INSTL_ORDR_ID	=	Case	ISNULL(FSA_ORGNL_INSTL_ORDR_ID, '0')
												When	'0'	Then	NULL
												Else	FSA_ORGNL_INSTL_ORDR_ID
											End	
			,DVL_CXR_SRVC_ID			=	ISNULL(CXR_SRVC_ID, '')
			,DVL_CXR_CKT_ID				=	ISNULL(CXR_CKT_ID, '')
	  FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	CPE	WITH (NOLOCK)
LEFT JOIN	dbo.FSA_ORDR_VAS			VAS WITH (NOLOCK)	ON	VAS.FSA_ORDR_VAS_ID	=	CPE.FSA_ORDR_VAS_ID
	  WHERE CPE.ORDR_ID				=	@OrderID
		AND	LINE_ITEM_CD		=	'DVL'		
	
	--Billing Only Line Item
	SELECT 
		BOL_BIC_CD = ISNULL(bl.BIC_CD,''),
		BOL_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
		BOL_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,''),
		BOL_ITEM_CD = ISNULL(bl.ITEM_CD,''),
		BOL_ITEM_DES = ISNULL(bl.ITEM_DES,''),
		BOL_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
		BOL_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
		BOL_ACTN_CD = bl.ACTN_CD
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM	bl	WITH (NOLOCK)
LEFT JOIN	dbo.LK_BILL_ITEM_TYPE		lb	WITH (NOLOCK)	on bl.BILL_ITEM_TYPE_ID = lb.BILL_ITEM_TYPE_ID
	WHERE	bl.ORDR_ID = @OrderID
		AND	lb.BILL_ITEM_TYPE_ID = 1

	--MDS Disconnect Line Items
      SELECT
			DML_SRVC_LINE_ITEM_CD = ISNULL(cp.SRVC_LINE_ITEM_CD,''),
			DML_MDS_DES = ISNULL(cp.MDS_DES,''),
            DML_FSA_ORGNL_INSTL_ORDR_ID	=	Case	ISNULL(cp.FSA_ORGNL_INSTL_ORDR_ID, '0')
												When	'0'	Then	NULL
												Else	cp.FSA_ORGNL_INSTL_ORDR_ID
											End						
     FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	cp WITH (NOLOCK)
LEFT JOIN	dbo.FSA_ORDR_BILL_LINE_ITEM bl WITH (NOLOCK) ON cp.FSA_CPE_LINE_ITEM_ID = bl.FSA_CPE_LINE_ITEM_ID
	WHERE	cp.ORDR_ID = @OrderID
        AND	cp.LINE_ITEM_CD = 'DML'
               
      --CPE Disconnect Line Items
      SELECT 
           DCL_CMPNT_ID = ISNULL(cp.CMPNT_ID,''),
           DCL_EQPT_TYPE_ID = ISNULL(cp.EQPT_TYPE_ID,''),
           DCL_EQPT_ID = ISNULL(cp.EQPT_ID,''),
           DCL_MDS_DES = ISNULL(cp.MDS_DES,''),
           DCL_CNTRC_TYPE_ID = ISNULL(cp.CNTRC_TYPE_ID,''),
           DCL_CNTRC_TERM_ID = ISNULL(cp.CNTRC_TERM_ID,''),
           DCL_FSA_ORGNL_INSTL_ORDR_ID = Case	ISNULL(cp.FSA_ORGNL_INSTL_ORDR_ID, '0')
													When	'0'	Then	NULL
													Else	cp.FSA_ORGNL_INSTL_ORDR_ID
												End		
      FROM	dbo.FSA_ORDR_CPE_LINE_ITEM	cp	WITH (NOLOCK)
LEFT JOIN	dbo.FSA_ORDR_BILL_LINE_ITEM bl  WITH (NOLOCK) ON cp.FSA_CPE_LINE_ITEM_ID = bl.FSA_CPE_LINE_ITEM_ID 
	  WHERE cp.ORDR_ID = @OrderID
	AND		cp.LINE_ITEM_CD = 'DCL'

	--Disconnect Contact Info
	SELECT 
		DSC_RoleName = ISNULL(lr.ROLE_NME,''),
        DSC_ContactType = ISNULL(lc.CNTCT_TYPE_DES,''),
		DSC_FRST_NME = CASE WHEN (csdoc.FRST_NME IS NULL) THEN ISNULL(oc.FRST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.FRST_NME)),'') END,
		DSC_LST_NME = CASE WHEN (csdoc.LST_NME IS NULL) THEN ISNULL(oc.LST_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.LST_NME)),'') END,
		DSC_NME = CASE WHEN (csdoc.CUST_CNTCT_NME IS NULL) THEN ISNULL(oc.CNTCT_NME,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_CNTCT_NME)),'') END,
		DSC_EMAIL_ADR = CASE WHEN (csdoc.CUST_EMAIL_ADR IS NULL) THEN ISNULL(oc.EMAIL_ADR,'') ELSE ISNULL(CONVERT(VARCHAR, DecryptByKey(csdoc.CUST_EMAIL_ADR)),'') END,
        ISNULL(oc.ISD_CD,'')	AS	DSC_ISD_CD,
		ISNULL(oc.STN_NBR,'')	AS	DSC_STN_NBR,
		ISNULL(oc.CTY_CD,'')	AS	DSC_CTY_CD,
		ISNULL(oc.NPA,'')		AS	DSC_NPA,
		ISNULL(oc.NXX,'')		AS	DSC_NXX,
        DSC_PHN_NBR = ISNULL(oc.PHN_NBR,'')
        ,ISNULL(oc.PHN_EXT_NBR,'') AS DSC_PHN_NBR_EXTN
	FROM	dbo.ORDR_CNTCT		oc	WITH (NOLOCK)
Inner Join dbo.ORDR odr WITH (NOLOCK) ON odr.ORDR_ID = oc.ORDR_ID
LEFT JOIN	dbo.LK_ROLE			lr	WITH (NOLOCK)	on oc.ROLE_ID = lr.ROLE_ID
LEFT JOIN	dbo.LK_CNTCT_TYPE	lc	WITH (NOLOCK)	on oc.CNTCT_TYPE_ID = lc.CNTCT_TYPE_ID
LEFT JOIN dbo.CUST_SCRD_DATA csdoc WITH (NOLOCK) ON csdoc.SCRD_OBJ_ID=oc.ORDR_CNTCT_ID AND csdoc.SCRD_OBJ_TYPE_ID=15
	WHERE	oc.ORDR_ID = @OrderID
        AND	(
				(oc.FSA_MDUL_ID = 'DSC')
				OR 
				(odr.ORDR_CAT_ID = 6 AND oc.ROLE_ID = 99)
			)


	--Change Order Billing Only Line Item
	SELECT 
		CBO_BIC_CD = ISNULL(bl.BIC_CD,''),
		CBO_LINE_ITEM_DES = ISNULL(bl.LINE_ITEM_DES,''),
		CBO_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,''),
		CBO_ITEM_CD = ISNULL(bl.ITEM_CD,''),
		CBO_ITEM_DES = ISNULL(bl.ITEM_DES,''),
		CBO_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,''),
		CBO_NRC_CHG_AMT = ISNULL(bl.NRC_CHG_AMT,''),
		CBO_ACTN_CD = bl.ACTN_CD
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM	bl	WITH (NOLOCK)
LEFT JOIN	dbo.LK_BILL_ITEM_TYPE		lb	WITH (NOLOCK)	on bl.BILL_ITEM_TYPE_ID = lb.BILL_ITEM_TYPE_ID
	WHERE	bl.ORDR_ID = @OrderID
		AND	lb.BILL_ITEM_TYPE_ID = 9
		
	--Disconnect Order Billing Line Items
	SELECT	DBO_LINE_ITEM_QTY = ISNULL(bl.LINE_ITEM_QTY,'')
			,DBO_ITEM_CD = ISNULL(bl.ITEM_CD,'')
			,DBO_ITEM_DES = ISNULL(bl.ITEM_DES,'')
			,DBO_MRC_CHG_AMT = ISNULL(bl.MRC_CHG_AMT,'')
	FROM	dbo.FSA_ORDR_BILL_LINE_ITEM	bl	WITH (NOLOCK)
	WHERE	bl.ORDR_ID				=	@OrderID
	AND		bl.BILL_ITEM_TYPE_ID	=	8	
	
	--PreQual
	--SELECT 
	--		 ISNULL(f.TPORT_VNDR_RAW_MRC_IN_CUR_AMT,'') AS PQU_VNDR_RAW_MRC_IN_CUR_AMT,
	--		 ISNULL(f.TPORT_VNDR_RAW_MRC_QOT_CUR_AMT,'') AS PQU_VNDR_RAW_MRC_QOT_CUR_AMT,
	--		 ISNULL(f.TPORT_VNDR_RAW_NRC_QOT_CUR_AMT,'') AS PQU_VNDR_RAW_NRC_QOT_CUR_AMT,
	--		 ISNULL(f.TPORT_CNVRSN_RT_QTY,'') AS PQU_CNVRSN_RT_QTY,
	--		 ISNULL(f.TPORT_MARKUP_PCT_QTY,'') AS PQU_MARKUP_PCT_QTY,
	--		 ISNULL(f.TPORT_TAX_PCT_QTY,'') AS PQU_TAX_PCT_QTY,
	--		 ISNULL(f.TPORT_BEARER_CHG_AMT,'') AS PQU_BEARER_CHG_AMT,
	--		 ISNULL(f.TPORT_ADDL_MRC_AMT,'') AS PQU_ADDL_MRC_AMT,
	--		 ISNULL(f.TPORT_CALC_RT_MRC_USD_AMT,'') AS PQU_CALC_RT_MRC_USD_AMT,
	--		 ISNULL(f.TPORT_CALC_RT_NRC_USD_AMT,'') AS PQU_CALC_RT_NRC_USD_AMT,
	--		 ISNULL(f.TPORT_CALC_RT_MRC_IN_CUR_AMT,'')	AS PQU_CALC_RT_MRC_IN_CUR_AMT,
	--		 ISNULL(f.TPORT_CALC_RT_NRC_IN_CUR_AMT,'')	AS PQU_CALC_RT_NRC_IN_CUR_AMT,
	--		 ISNULL(f.TPORT_CUR_NME,'')					AS PQU_CUR_NME,
	--		 ISNULL(f.TPORT_PREQUAL_SITE_ID,'')				AS PQU_PREQUAL_SITE_ID,
	--		 ISNULL(f.TPORT_PREQUAL_LINE_ITEM_ID,'')		AS PQU_PREQUAL_LINE_ITEM_ID,
	--		 Case	
	--			When	f.TPORT_PREQ_LINE_ITEM_ID_XPIRN_DT IS NULL Then NULL
	--			Else	REPLACE(REPLACE(Convert(Varchar, f.TPORT_PREQ_LINE_ITEM_ID_XPIRN_DT, 7), ' ', '/'), ',/', '/')
	--		 End				AS PQU_PREQ_LINE_ITEM_ID_XPIRN_DT
	--FROM	dbo.FSA_ORDR f WITH (NOLOCK)
	--WHERE	ORDR_ID = @OrderID

	--Getting Mach5 Line item status
	DECLARE @FTN VARCHAR(20)
	DECLARE @SQL NVARCHAR(MAX)
	Select @FTN = FTN from dbo.FSA_ORDR with (NOLOCK) where ORDR_ID = @OrderID
	
	IF OBJECT_ID(N'tempdb..#MACH5_ORDR_STUS',N'U') IS NOT NULL 
					DROP TABLE #MACH5_ORDR_STUS
						
			CREATE TABLE #MACH5_ORDR_STUS
				(
					ORDR_NBR	Varchar(20),
					NVTRY_ID		INT,
					CMPNT_TYPE_CD	VARCHAR(4),
					STUS_CD			Varchar(3),
				)
				SET @SQL = 'SELECT * ' +
						' FROM OPENQUERY ' +
						' (M5,''Select 	o.ORDER_NBR, n.NVTRY_ID,n.CMPNT_TYPE_CD,n.STUS_CD ' + 
						' From MACH5.V_V5U_ORDR o ' +														
						' LEFT JOIN MACH5.V_V5U_NVTRY n ON n.ORIG_ORDR_ID = o.ORDR_ID ' +	
						' Where o.ORDER_NBR =  ''''' + CONVERT(VARCHAR(20),@FTN) + ''''''')'
						
				INSERT INTO #MACH5_ORDR_STUS (ORDR_NBR, NVTRY_ID, CMPNT_TYPE_CD, STUS_CD)
				EXEC sp_executesql @SQL	
				
	--CPE ACCS and PORT Line Items
      SELECT           		   
			   ISNULL(CPEP.INSTL_DSGN_DOC_NBR,ISNULL(CPEA.INSTL_DSGN_DOC_NBR,'')) AS INSTL_DSGN_DOC_NBR,
			   ISNULL(CPEA.TTRPT_ACCS_TYPE_CD, ISNULL(CPEP.TTRPT_ACCS_TYPE_CD,'')) AS TTRPT_ACCS_TYPE_CD,
			   ISNULL(CPEA.TTRPT_ACCS_ARNGT_CD,ISNULL(CPEP.TTRPT_ACCS_ARNGT_CD,'')) AS TTRPT_ACCS_ARNGT_CD,
               ISNULL(CPEA.TTRPT_ACCS_BDWD_TYPE,ISNULL(CPEP.TTRPT_ACCS_BDWD_TYPE,'')) AS TTRPT_ACCS_BDWD_TYPE,
               ISNULL(CPEP.TTRPT_SPD_OF_SRVC_BDWD_DES,ISNULL(CPEA.TTRPT_SPD_OF_SRVC_BDWD_DES,'')) AS TTRPT_SPD_OF_SRVC_BDWD_DES,
               ISNULL(CPEA.TTRPT_ENCAP_CD,ISNULL(CPEP.TTRPT_ENCAP_CD,'')) AS TTRPT_ENCAP_CD,
               ISNULL(CPEA.TTRPT_FBR_HAND_OFF_CD,ISNULL(CPEP.TTRPT_FBR_HAND_OFF_CD,'')) AS TTRPT_FBR_HAND_OFF_CD,
               ISNULL(CPEA.TTRPT_ACCS_TERM_DES,ISNULL(CPEP.TTRPT_ACCS_TERM_DES,'')) AS TTRPT_ACCS_TERM_DES, 
               CASE
				When	CPEA.TTRPT_QOT_XPIRN_DT IS NULL Then CASE
				When	CPEP.TTRPT_QOT_XPIRN_DT IS NULL Then NULL
					Else	REPLACE(REPLACE(Convert(Varchar, CPEP.TTRPT_QOT_XPIRN_DT, 7), ' ', '/'), ',/', '/')
				End
					Else	REPLACE(REPLACE(Convert(Varchar, CPEA.TTRPT_QOT_XPIRN_DT, 7), ' ', '/'), ',/', '/')
				End		AS TTRPT_QOT_XPIRN_DT,
			 ISNULL(CPEA.CXR_ACCS_CD, ISNULL(CPEP.CXR_ACCS_CD, ''))				AS	CXR_ACCS_CD,
			 ISNULL(CPEP.TPORT_IP_VER_TYPE_CD,ISNULL(CPEA.TPORT_IP_VER_TYPE_CD,'')) AS TPORT_IP_VER_TYPE_CD,
             ISNULL(CPEP.TPORT_IPV4_ADR_PRVDR_CD,ISNULL(CPEA.TPORT_IPV4_ADR_PRVDR_CD,'')) AS TPORT_IPV4_ADR_PRVDR_CD,
             ISNULL(CPEP.TPORT_IPV4_ADR_QTY,ISNULL(CPEA.TPORT_IPV4_ADR_QTY,'')) AS TPORT_IPV4_ADR_QTY,
             ISNULL(CPEP.TPORT_IPV6_ADR_PRVDR_CD,ISNULL(CPEA.TPORT_IPV6_ADR_PRVDR_CD,'')) AS TPORT_IPV6_ADR_PRVDR_CD,
             ISNULL(CPEP.TPORT_IPV6_ADR_QTY,ISNULL(CPEA.TPORT_IPV6_ADR_QTY,'')) AS TPORT_IPV6_ADR_QTY,
             ISNULL(CPEP.TPORT_VLAN_QTY, CPEA.TPORT_VLAN_QTY)			AS TPORT_VLAN_QTY,
             ISNULL(CPEP.TPORT_ETHRNT_NRFC_INDCR,ISNULL(CPEA.TPORT_ETHRNT_NRFC_INDCR,'')) AS TPORT_ETHRNT_NRFC_INDCR,
             ISNULL(CPEP.TPORT_CNCTR_TYPE_ID,ISNULL(CPEA.TPORT_CNCTR_TYPE_ID,'')) AS TPORT_CNCTR_TYPE_ID,
             ISNULL(CPEP.TPORT_CUST_ROUTR_TAG_TXT,ISNULL(CPEA.TPORT_CUST_ROUTR_TAG_TXT,'')) AS TPORT_CUST_ROUTR_TAG_TXT,
             ISNULL(CPEP.TPORT_CUST_ROUTR_AUTO_NEGOT_CD,ISNULL(CPEA.TPORT_CUST_ROUTR_AUTO_NEGOT_CD,'')) AS TPORT_CUST_ROUTR_AUTO_NEGOT_CD,
             ISNULL(CPEP.SPA_ACCS_INDCR_DES, ISNULL(CPEA.SPA_ACCS_INDCR_DES, ''))		 AS TPORT_SPAE_ACCS_INDCTR,
             ISNULL(CPEP.TPORT_DIA_NOC_TO_NOC_TXT,ISNULL(CPEA.TPORT_DIA_NOC_TO_NOC_TXT,'')) AS TPORT_DIA_NOC_TO_NOC_TXT,
             ISNULL(CPEP.TPORT_PROJ_DES,ISNULL(CPEA.TPORT_PROJ_DES,'')) AS TPORT_PROJ_DES,
             ISNULL(CPEP.TPORT_ETH_ACCS_TYPE_CD,ISNULL(CPEA.TPORT_ETH_ACCS_TYPE_CD,'')) AS TPORT_ETH_ACCS_TYPE_CD,
			 ISNULL(CPEP.TPORT_VNDR_QUOTE_ID,ISNULL(CPEA.TPORT_VNDR_QUOTE_ID,'')) AS TPORT_VNDR_QUOTE_ID,
			 ISNULL(CPEP.PORT_RT_TYPE_CD, ISNULL(CPEA.PORT_RT_TYPE_CD, ''))	AS	CHG_PORT_RT_TYPE_CD,
			 ISNULL(CPEA.PL_NBR,ISNULL(CPEP.PL_NBR,'')) AS PL_NBR,
			 Case	ISNULL(m5A.STUS_CD, '')
													When	''	Then	Case	ISNULL(m5P.STUS_CD, '')
													When	''	Then	NULL
													When	'ACT' Then	'Active'
													When	'CAN' Then	'Cancel'
													When	'DSC' Then	'Disconnect'
													Else	m5P.STUS_CD
								End
													When	'ACT' Then	'Active'
													When	'CAN' Then	'Cancel'
													When	'DSC' Then	'Disconnect'
													Else	m5A.STUS_CD
								End				 AS TACCESS_M5_STUS_CD,
			Case	ISNULL(m5P.STUS_CD, '')
													When	''	Then	Case	ISNULL(m5A.STUS_CD, '')
													When	''	Then	NULL
													When	'ACT' Then	'Active'
													When	'CAN' Then	'Cancel'
													When	'DSC' Then	'Disconnect'
													Else	m5A.STUS_CD
								End
													When	'ACT' Then	'Active'
													When	'CAN' Then	'Cancel'
													When	'DSC' Then	'Disconnect'
													Else	m5P.STUS_CD
								End				 AS TPORT_M5_STUS_CD,
			ISNULL(CPEA.TTRPT_COS_CD,ISNULL(CPEP.TTRPT_COS_CD,''))         AS TTRPT_COS_CD,
			ISNULL(CPEA.MDS_DES, ISNULL(CPEP.MDS_DES,'')) AS MDS_DES
	  FROM	dbo.FSA_ORDR f WITH (NOLOCK) 
	  LEFT JOIN dbo.FSA_ORDR_CPE_LINE_ITEM CPEA WITH (NOLOCK) ON f.ORDR_ID= CPEA.ORDR_ID AND CPEA.LINE_ITEM_CD='ACS'
	  LEFT JOIN dbo.FSA_ORDR_CPE_LINE_ITEM CPEP WITH (NOLOCK) ON f.ORDR_ID= CPEP.ORDR_ID AND CPEP.LINE_ITEM_CD='PRT'
	  LEFT JOIN #MACH5_ORDR_STUS m5A with (NOLOCK) ON m5A.NVTRY_ID = CPEA.ORDR_CMPNT_ID
	  LEFT JOIN #MACH5_ORDR_STUS m5P with (NOLOCK) ON m5P.NVTRY_ID = CPEP.ORDR_CMPNT_ID
	  WHERE f.ORDR_ID = @OrderID
  
End Try

Begin Catch
	EXEC dbo.insertErrorInfo
End Catch
END